> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Returns the list of secret versions in a specified container, without its Payload.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /mysterybox/v1/secret-versions
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /mysterybox/v1/secret-versions:
    get:
      tags:
        - nebius.mysterybox.v1.SecretVersionService
      summary: List
      description: >-
        Returns the list of secret versions in a specified container, without
        its Payload.
      operationId: SecretVersionService_List
      parameters:
        - description: Secret id related to the version.
          in: query
          name: parentId
          required: true
          schema:
            type: string
        - description: >-
            The maximum number of results per page to return. If the number of
            available

            results is larger than [page_size], the service returns a
            [ListSecretVersionsResponse.next_page_token]

            that can be used to get the next page of results in subsequent list
            requests.

            Default value: 100.
          in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - description: >-
            Page token. To get the next page of results, set [page_token] to the

            [ListSecretVersionsResponse.next_page_token] returned by a previous
            list request.
          in: query
          name: pageToken
          schema:
            type: string
        - description: >-
            By default, List operation doesn't include resources that are
            scheduled for deletion.

            If show_scheduled_for_deletion = true, the listing includes
            resources that are scheduled for deletion.
          in: query
          name: showScheduledForDeletion
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ListSecretVersionsResponse'
          description: A successful response.
components:
  schemas:
    v1ListSecretVersionsResponse:
      properties:
        items:
          description: >-
            List of secret versions in the specified container, without its
            Payload.
          items:
            $ref: '#/components/schemas/v1SecretVersion'
          type: array
        nextPageToken:
          description: >-
            This token allows you to get the next page of results for list
            requests. If the number

            of results is greater than the specified
            [ListSecretVersionsRequest.page_size], use

            the [next_page_token] as the value for the
            [ListSecretVersionsRequest.page_token] query parameter

            in the next list request. Each subsequent list request will have its
            own

            [next_page_token] to continue paging through the results.
          type: string
      type: object
    v1SecretVersion:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1SecretVersionSpec'
        status:
          $ref: '#/components/schemas/v1SecretVersionStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1SecretVersionSpec:
      properties:
        description:
          description: Description of the version.
          type: string
        payload:
          description: Payload entries related to the version.
          items:
            $ref: '#/components/schemas/v1Payload'
          type: array
        setPrimary:
          type: boolean
      type: object
    v1SecretVersionStatus:
      properties:
        deletedAt:
          format: date-time
          title: Time when user called soft delete method
          type: string
        purgeAt:
          format: date-time
          title: Time when key should be totally deleted from DB
          type: string
        state:
          $ref: '#/components/schemas/v1SecretVersionStatusState'
      type: object
    v1Payload:
      description: Represents the secret's content as key-value pair.
      properties:
        binaryValue:
          description: The binary data to encrypt and store in the version of the secret.
          format: byte
          type: string
        key:
          description: Non-confidential key of the payload entry.
          type: string
        stringValue:
          description: The text data to encrypt and store in the version of the secret.
          type: string
      required:
        - key
      type: object
    v1SecretVersionStatusState:
      default: STATE_UNSPECIFIED
      enum:
        - STATE_UNSPECIFIED
        - ACTIVE
        - SCHEDULED_FOR_DELETION
      title: |-
        - ACTIVE: Resource is active, ready for use
         - SCHEDULED_FOR_DELETION: Resource was marked as soft deleted
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````